#ifndef __z80_instr3_h__
#define __z80_instr3_h__

// three-byte opcode instructions
// $Id: z80_instr3.h,v 1.3 2011-04-03 17:22:21 drmiller Exp $
#include "z80_decode3.h"

extern void bit_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void res_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void set_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void rlc_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void rrc_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void ral_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void rar_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void sla_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void sra_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);
extern void srl_ix_op(z80_sys_t *sys, uint8_t op1, uint8_t op2, uint8_t op3, uint16_t off);

#endif // __z80_instr3_h__
