// $Id: z80_decode_2.c,v 1.7 2011-04-05 01:14:19 drmiller Exp $

#include "z80_sys.h"
#include "z80_instr2.h"
#include "z80_exec.h"

instr2_t *sec_CB[256] = {

[0000] = rlc_r_op,
[0001] = rlc_r_op,
[0002] = rlc_r_op,
[0003] = rlc_r_op,
[0004] = rlc_r_op,
[0005] = rlc_r_op,
[0006] = rlc_r_op,
[0007] = rlc_r_op,

[0010] = rrc_r_op,
[0011] = rrc_r_op,
[0012] = rrc_r_op,
[0013] = rrc_r_op,
[0014] = rrc_r_op,
[0015] = rrc_r_op,
[0016] = rrc_r_op,
[0017] = rrc_r_op,

[0020] = ral_r_op,
[0021] = ral_r_op,
[0022] = ral_r_op,
[0023] = ral_r_op,
[0024] = ral_r_op,
[0025] = ral_r_op,
[0026] = ral_r_op,
[0027] = ral_r_op,

[0030] = rar_r_op,
[0031] = rar_r_op,
[0032] = rar_r_op,
[0033] = rar_r_op,
[0034] = rar_r_op,
[0035] = rar_r_op,
[0036] = rar_r_op,
[0037] = rar_r_op,

[0040] = sla_r_op,
[0041] = sla_r_op,
[0042] = sla_r_op,
[0043] = sla_r_op,
[0044] = sla_r_op,
[0045] = sla_r_op,
[0046] = sla_r_op,
[0047] = sla_r_op,

[0050] = sra_r_op,
[0051] = sra_r_op,
[0052] = sra_r_op,
[0053] = sra_r_op,
[0054] = sra_r_op,
[0055] = sra_r_op,
[0056] = sra_r_op,
[0057] = sra_r_op,

[0070] = srl_r_op,
[0071] = srl_r_op,
[0072] = srl_r_op,
[0073] = srl_r_op,
[0074] = srl_r_op,
[0075] = srl_r_op,
[0076] = srl_r_op,
[0077] = srl_r_op,

[0100] = bit_op,
[0101] = bit_op,
[0102] = bit_op,
[0103] = bit_op,
[0104] = bit_op,
[0105] = bit_op,
[0106] = bit_op,
[0107] = bit_op,
[0110] = bit_op,
[0111] = bit_op,
[0112] = bit_op,
[0113] = bit_op,
[0114] = bit_op,
[0115] = bit_op,
[0116] = bit_op,
[0117] = bit_op,
[0120] = bit_op,
[0121] = bit_op,
[0122] = bit_op,
[0123] = bit_op,
[0124] = bit_op,
[0125] = bit_op,
[0126] = bit_op,
[0127] = bit_op,
[0130] = bit_op,
[0131] = bit_op,
[0132] = bit_op,
[0133] = bit_op,
[0134] = bit_op,
[0135] = bit_op,
[0136] = bit_op,
[0137] = bit_op,
[0140] = bit_op,
[0141] = bit_op,
[0142] = bit_op,
[0143] = bit_op,
[0144] = bit_op,
[0145] = bit_op,
[0146] = bit_op,
[0147] = bit_op,
[0150] = bit_op,
[0151] = bit_op,
[0152] = bit_op,
[0153] = bit_op,
[0154] = bit_op,
[0155] = bit_op,
[0156] = bit_op,
[0157] = bit_op,
[0160] = bit_op,
[0161] = bit_op,
[0162] = bit_op,
[0163] = bit_op,
[0164] = bit_op,
[0165] = bit_op,
[0166] = bit_op,
[0167] = bit_op,
[0170] = bit_op,
[0171] = bit_op,
[0172] = bit_op,
[0173] = bit_op,
[0174] = bit_op,
[0175] = bit_op,
[0176] = bit_op,
[0177] = bit_op,

[0200] = res_op,
[0201] = res_op,
[0202] = res_op,
[0203] = res_op,
[0204] = res_op,
[0205] = res_op,
[0206] = res_op,
[0207] = res_op,
[0210] = res_op,
[0211] = res_op,
[0212] = res_op,
[0213] = res_op,
[0214] = res_op,
[0215] = res_op,
[0216] = res_op,
[0217] = res_op,
[0220] = res_op,
[0221] = res_op,
[0222] = res_op,
[0223] = res_op,
[0224] = res_op,
[0225] = res_op,
[0226] = res_op,
[0227] = res_op,
[0230] = res_op,
[0231] = res_op,
[0232] = res_op,
[0233] = res_op,
[0234] = res_op,
[0235] = res_op,
[0236] = res_op,
[0237] = res_op,
[0240] = res_op,
[0241] = res_op,
[0242] = res_op,
[0243] = res_op,
[0244] = res_op,
[0245] = res_op,
[0246] = res_op,
[0247] = res_op,
[0250] = res_op,
[0251] = res_op,
[0252] = res_op,
[0253] = res_op,
[0254] = res_op,
[0255] = res_op,
[0256] = res_op,
[0257] = res_op,
[0260] = res_op,
[0261] = res_op,
[0262] = res_op,
[0263] = res_op,
[0264] = res_op,
[0265] = res_op,
[0266] = res_op,
[0267] = res_op,
[0270] = res_op,
[0271] = res_op,
[0272] = res_op,
[0273] = res_op,
[0274] = res_op,
[0275] = res_op,
[0276] = res_op,
[0277] = res_op,

[0300] = set_op,
[0301] = set_op,
[0302] = set_op,
[0303] = set_op,
[0304] = set_op,
[0305] = set_op,
[0306] = set_op,
[0307] = set_op,
[0310] = set_op,
[0311] = set_op,
[0312] = set_op,
[0313] = set_op,
[0314] = set_op,
[0315] = set_op,
[0316] = set_op,
[0317] = set_op,
[0320] = set_op,
[0321] = set_op,
[0322] = set_op,
[0323] = set_op,
[0324] = set_op,
[0325] = set_op,
[0326] = set_op,
[0327] = set_op,
[0330] = set_op,
[0331] = set_op,
[0332] = set_op,
[0333] = set_op,
[0334] = set_op,
[0335] = set_op,
[0336] = set_op,
[0337] = set_op,
[0340] = set_op,
[0341] = set_op,
[0342] = set_op,
[0343] = set_op,
[0344] = set_op,
[0345] = set_op,
[0346] = set_op,
[0347] = set_op,
[0350] = set_op,
[0351] = set_op,
[0352] = set_op,
[0353] = set_op,
[0354] = set_op,
[0355] = set_op,
[0356] = set_op,
[0357] = set_op,
[0360] = set_op,
[0361] = set_op,
[0362] = set_op,
[0363] = set_op,
[0364] = set_op,
[0365] = set_op,
[0366] = set_op,
[0367] = set_op,
[0370] = set_op,
[0371] = set_op,
[0372] = set_op,
[0373] = set_op,
[0374] = set_op,
[0375] = set_op,
[0376] = set_op,
[0377] = set_op,

};

instr2_t *sec_DD[256] = {

[0064] = inc_ix_op,
[0065] = dec_ix_op,

[0043] = inx_ix_op,
[0053] = dcx_ix_op,

[0012] = dad_ix_op,
[0032] = dad_ix_op,
[0052] = dad_ix_op,
[0072] = dad_ix_op,

[0066] = mvi_ix_op,
[0041] = lxi_ix_op,
[0052] = lixd_op,
[0042] = sixd_op,

[0106] = mov_ix_op,
[0116] = mov_ix_op,
[0126] = mov_ix_op,
[0136] = mov_ix_op,
[0146] = mov_ix_op,
[0156] = mov_ix_op,
[0176] = mov_ix_op,

[0160] = mov_ix_op,
[0161] = mov_ix_op,
[0162] = mov_ix_op,
[0163] = mov_ix_op,
[0164] = mov_ix_op,
[0165] = mov_ix_op,
[0167] = mov_ix_op,

[0206] = add_ix_op,
[0216] = adc_ix_op,
[0226] = sub_ix_op,
[0236] = sbb_ix_op,
[0246] = and_ix_op,
[0256] = xor_ix_op,
[0266] = or_ix_op,
[0276] = cmp_ix_op,

[0341] = pop_ix_op,
[0345] = push_ix_op,
[0371] = spix_op,

[0343] = xtix_op,
[0313] = opcode_DD_CB,
[0351] = pcix_op,

};

instr2_t *sec_ED[256] = {

[0100] = in_r_op,
[0110] = in_r_op,
[0120] = in_r_op,
[0130] = in_r_op,
[0140] = in_r_op,
[0150] = in_r_op,
[0160] = in_r_op,
[0170] = in_r_op,

[0101] = out_r_op,
[0111] = out_r_op,
[0121] = out_r_op,
[0131] = out_r_op,
[0141] = out_r_op,
[0151] = out_r_op,
[0161] = out_r_op,
[0171] = out_r_op,

[0115] = reti_op,
[0105] = retn_op,

[0112] = dadc_op,
[0132] = dadc_op,
[0152] = dadc_op,
[0172] = dadc_op,
[0102] = dsbc_op,
[0122] = dsbc_op,
[0142] = dsbc_op,
[0162] = dsbc_op,

[0104] = neg_op,
[0106] = im0_op,
[0126] = im1_op,
[0136] = im2_op,

[0147] = rrd_op,
[0157] = rld_op,

[0127] = mov_i_op,
[0137] = mov_r_op,
[0107] = mov_i_op,
[0117] = mov_r_op,
[0103] = sxxd_op,
[0123] = sxxd_op,
[0143] = sxxd_op, /* ? */
[0163] = sxxd_op,
[0113] = lxxd_op,
[0133] = lxxd_op,
[0153] = lxxd_op, /* ? */
[0173] = lxxd_op,

[0240] = ldi_op,
[0241] = cpi_op,
[0250] = ldd_op,
[0251] = cpd_op,
[0260] = ldir_op,
[0261] = cpir_op,
[0270] = lddr_op,
[0271] = cpdr_op,

[0242] = ini_op,
[0252] = ind_op,
[0262] = inir_op,
[0272] = indr_op,
[0243] = outi_op,
[0253] = outd_op,
[0263] = outir_op,
[0273] = outdr_op,

};

instr2_t *sec_FD[256] = {

[0064] = inc_ix_op,
[0065] = dec_ix_op,

[0043] = inx_ix_op,
[0053] = dcx_ix_op,

[0012] = dad_ix_op,
[0032] = dad_ix_op,
[0052] = dad_ix_op,
[0072] = dad_ix_op,

[0066] = mvi_ix_op,
[0041] = lxi_ix_op,
[0052] = lixd_op,
[0042] = sixd_op,

[0106] = mov_ix_op,
[0116] = mov_ix_op,
[0126] = mov_ix_op,
[0136] = mov_ix_op,
[0146] = mov_ix_op,
[0156] = mov_ix_op,
[0176] = mov_ix_op,

[0160] = mov_ix_op,
[0161] = mov_ix_op,
[0162] = mov_ix_op,
[0163] = mov_ix_op,
[0164] = mov_ix_op,
[0165] = mov_ix_op,
[0167] = mov_ix_op,

[0206] = add_ix_op,
[0216] = adc_ix_op,
[0226] = sub_ix_op,
[0236] = sbb_ix_op,
[0246] = and_ix_op,
[0256] = xor_ix_op,
[0266] = or_ix_op,
[0276] = cmp_ix_op,

[0343] = xtix_op,

[0341] = pop_ix_op,
[0345] = push_ix_op,
[0371] = spix_op,
[0351] = pcix_op,

[0313] = opcode_DD_CB, /* FD and DD same except ix vs. iy */

};
