#ifndef __z80_dev_h__
#define __z80_dev_h__

// $Id: z80_dev.h,v 1.3 2011-04-03 17:22:21 drmiller Exp $
#include "z80_peripheral.h"

typedef struct z80_dev_s {
	char *name;
	void (*init)(struct z80_dev_s *dev, uint8_t port, uint8_t *buf, uint8_t len);
	void (*output)(struct z80_dev_s *dev, uint8_t port, uint8_t *buf, uint8_t len);
	void (*input)(struct z80_dev_s *dev, uint8_t port, uint8_t *buf, uint8_t len);
	z80_peripheral_t *periph;
} z80_dev_t;

#endif // __z80_dev_h__
