#ifndef __z80_io_h__
#define __z80_io_h__

// $Id: z80_io.h,v 1.3 2011-04-03 17:22:21 drmiller Exp $
#include <stdint.h>
#include "z80_dev.h"

typedef struct {
	z80_dev_t *io_devs[256];
	void (*iofault)(void *sys, uint8_t port);
	void *sys;
} z80_io_t;

extern void io_init(z80_io_t *io, uint8_t base, uint8_t len, z80_dev_t *dev);
extern void io_output(z80_io_t *io, uint8_t port, uint8_t *buf, uint8_t len);
extern void io_input(z80_io_t *io, uint8_t port, uint8_t *buf, uint8_t len);

#endif // __z80_io_h__
